package com.ssm.manage.entity;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;
import java.io.Serializable;

/**
 * (BaseCoupon)实体类
 *
 * @author makejava
 * @since 2022-05-25 14:36:37
 */
@Table(name = "base_coupon")
public class BaseCoupon {
    /**
     * id
     */
    @Id
    private Integer id;
    /**
     * 优惠价编码
     */
    @Column(name = "coupon_num")
    private String couponNum;
    /**
     * 优惠价名称
     */
    @Column(name = "coupon_name")
    private String couponName;
    /**
     * 优惠劵数量
     */
    @Column(name = "number")
    private Integer number;
    /**
     * 价值
     */
    @Column(name = "value")
    private BigDecimal value;
    /**
     * 0=代金卷，1=折扣卷，3=代扣卷
     */
    @Column(name = "coupon_type")
    private Integer couponType;
    /**
     * 0=满减，1=没有限制
     */
    @Column(name = "service_conditions")
    private Integer serviceConditions;
    /**
     * 满减金额（满多少可以减）
     */
    @Column(name = "full_reduction_money")
    private BigDecimal fullReductionMoney;
    /**
     * 适用门店对象0:所有门店/1:指定门店
     */
    @Column(name = "suitable_store")
    private Integer suitableStore;
    /**
     * 有效期(0=领取后多少天，1=固定日期)
     */
    @Column(name = "indate_type")
    private Integer indateType;
    /**
     * 领取后多少天生效
     */
    @Column(name = "start_day")
    private Integer startDay;
    /**
     * 多少天内有效
     */
    @Column(name = "end_day")
    private Integer endDay;
    /**
     * 开始日期
     */
    @Column(name = "start_date")
    private Date startDate;
    /**
     * 结束日期
     */
    @Column(name = "end_date")
    private Date endDate;
    /**
     * 代扣项目ID
     */
    @Column(name = "project_id")
    private Long projectId;
    /**
     * 代扣项目编码
     */
    @Column(name = "project_num")
    private String projectNum;
    /**
     * 代扣项目名称
     */
    @Column(name = "project_name")
    private String projectName;
    /**
     * 备注
     */
    @Column(name = "remark")
    private String remark;
    /**
     * 门店Id
     */
    @Column(name = "store_id")
    private Long storeId;
    /**
     * 门店编码
     */
    @Column(name = "store_num")
    private String storeNum;
    /**
     * 门店名称
     */
    @Column(name = "store_name")
    private String storeName;
    /**
     * 录单人ID
     */
    @Column(name = "input_id")
    private Long inputId;
    /**
     * 录单人名称
     */
    @Column(name = "input_by")
    private String inputBy;
    /**
     * 录单时间
     */
    @Column(name = "input_date")
    private Date inputDate;
    /**
     * 修改人ID
     */
    @Column(name = "update_id")
    private Long updateId;
    /**
     * 修改人名称
     */
    @Column(name = "update_by")
    private String updateBy;
    /**
     * 修改时间
     */
    @Column(name = "update_date")
    private Date updateDate;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCouponNum() {
        return couponNum;
    }

    public void setCouponNum(String couponNum) {
        this.couponNum = couponNum;
    }

    public String getCouponName() {
        return couponName;
    }

    public void setCouponName(String couponName) {
        this.couponName = couponName;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public BigDecimal getValue() {
        return value;
    }

    public void setValue(BigDecimal value) {
        this.value = value;
    }

    public Integer getCouponType() {
        return couponType;
    }

    public void setCouponType(Integer couponType) {
        this.couponType = couponType;
    }

    public Integer getServiceConditions() {
        return serviceConditions;
    }

    public void setServiceConditions(Integer serviceConditions) {
        this.serviceConditions = serviceConditions;
    }

    public BigDecimal getFullReductionMoney() {
        return fullReductionMoney;
    }

    public void setFullReductionMoney(BigDecimal fullReductionMoney) {
        this.fullReductionMoney = fullReductionMoney;
    }

    public Integer getSuitableStore() {
        return suitableStore;
    }

    public void setSuitableStore(Integer suitableStore) {
        this.suitableStore = suitableStore;
    }

    public Integer getIndateType() {
        return indateType;
    }

    public void setIndateType(Integer indateType) {
        this.indateType = indateType;
    }

    public Integer getStartDay() {
        return startDay;
    }

    public void setStartDay(Integer startDay) {
        this.startDay = startDay;
    }

    public Integer getEndDay() {
        return endDay;
    }

    public void setEndDay(Integer endDay) {
        this.endDay = endDay;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public String getProjectNum() {
        return projectNum;
    }

    public void setProjectNum(String projectNum) {
        this.projectNum = projectNum;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public String getStoreNum() {
        return storeNum;
    }

    public void setStoreNum(String storeNum) {
        this.storeNum = storeNum;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Long getInputId() {
        return inputId;
    }

    public void setInputId(Long inputId) {
        this.inputId = inputId;
    }

    public String getInputBy() {
        return inputBy;
    }

    public void setInputBy(String inputBy) {
        this.inputBy = inputBy;
    }

    public Date getInputDate() {
        return inputDate;
    }

    public void setInputDate(Date inputDate) {
        this.inputDate = inputDate;
    }

    public Long getUpdateId() {
        return updateId;
    }

    public void setUpdateId(Long updateId) {
        this.updateId = updateId;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

}

